---
updatedAt: 2025-06-09T22:43:04.000Z
agentTools:
  projectIndex: https://docs.zenloop.com/llms.txt
---

# Get List of Surveys

This endpoint is used for getting basic data for all surveys from user organization.

```json Example request
{
  "page": 1
}
```

## Response attributes

| Attribute                    |  Type  | Description                                    |
| :--------------------------- | :----: | :--------------------------------------------- |
| **surveys**                  |  array | Survey information data.                       |
| surveys.**title**            | string | Survey title.                                  |
| surveys.**status**           | string | Survey status. One of: `draft`, `active`       |
| surveys.**public\_hash\_id** | string | Survey public hash id used to identify survey. |
| surveys.**inserted\_at**     |  date  | Survey creation date.                          |
| **meta**                     | object | Result metadata.                               |
| meta.**total**               | number | Number of answers.                             |
| meta.**per\_page**           | number | Number of answers per page.                    |
| meta.**page**                | number | Current results page.                          |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zenloop.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/v1/surveys": {
      "get": {
        "summary": "Get List of Surveys",
        "description": "This endpoint is used for getting basic data for all surveys from user organization.",
        "operationId": "get-list-of-surveys",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "Number of the page of the results you would like to get.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Bearer <token>"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"surveys\": [\n    {\n      \"title\": \"Sample Test Survey\",\n      \"status\": \"active\",\n      \"public_hash_id\": \"RXpqTHZLTVNYU29nQnNzQ3V1VVgveEdmNTJTK2VheXNtc1lrN2VjOXdGZz0=\",\n      \"inserted_at\": \"2016-10-13T13:02:21Z\"\n    }\n  ],\n  \"meta\": {\n    \"total\": 1,\n    \"per_page\": 12,\n    \"page\": 1\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "surveys": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "title": {
                            "type": "string",
                            "example": "Sample Test Survey"
                          },
                          "status": {
                            "type": "string",
                            "example": "active"
                          },
                          "public_hash_id": {
                            "type": "string",
                            "example": "RXpqTHZLTVNYU29nQnNzQ3V1VVgveEdmNTJTK2VheXNtc1lrN2VjOXdGZz0="
                          },
                          "inserted_at": {
                            "type": "string",
                            "example": "2016-10-13T13:02:21Z"
                          }
                        }
                      }
                    },
                    "meta": {
                      "type": "object",
                      "properties": {
                        "total": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "per_page": {
                          "type": "integer",
                          "example": 12,
                          "default": 0
                        },
                        "page": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\": 400,\n  \"title\": \"Invalid request body.\",\n  \"links\": {\n    \"documentation\": \"https://docs.zenloop.com/v1.0/reference#get-list-of-surveys\"\n  },\n  \"code\": \"INVALID_REQUEST\",\n  \"details\": [{\n    \"detail\": \"Expected the value to be >= 1\",\n    \"pointer\": \"/page\"\n  }]\n}\n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "title": {
                      "type": "string",
                      "example": "Invalid request body."
                    },
                    "links": {
                      "type": "object",
                      "properties": {
                        "documentation": {
                          "type": "string",
                          "example": "https://docs.zenloop.com/v1.0/reference#get-list-of-surveys"
                        }
                      }
                    },
                    "code": {
                      "type": "string",
                      "example": "INVALID_REQUEST"
                    },
                    "details": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "detail": {
                            "type": "string",
                            "example": "Expected the value to be >= 1"
                          },
                          "pointer": {
                            "type": "string",
                            "example": "/page"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": {\n    \"status\": 401,\n    \"code\": \"UNAUTHORIZED\",\n    \"title\": \"Invalid or expired token.\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "integer",
                          "example": 401,
                          "default": 0
                        },
                        "code": {
                          "type": "string",
                          "example": "UNAUTHORIZED"
                        },
                        "title": {
                          "type": "string",
                          "example": "Invalid or expired token."
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "429",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": {\n    \"status\": 429,\n    \"code\": \"TOO_MANY_REQUESTS\",\n    \"title\": \"Rate limit exceeded.\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "integer",
                          "example": 429,
                          "default": 0
                        },
                        "code": {
                          "type": "string",
                          "example": "TOO_MANY_REQUESTS"
                        },
                        "title": {
                          "type": "string",
                          "example": "Rate limit exceeded."
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Content-Type",
        "value": "application/json"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```